#
# spec file for package gpg (Version 1.0.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  expect gdbm libz tcl
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim

Name:         gpg
Version:      1.4.3
Release:      3.2
License:    GPL
Group:        Utilities/Security
Provides:     gnupg pgpgpg 
Autoreqprov:  on
Summary:      GNU Privacy Guard, en/decrypts and signs data
Source:		ftp://ftp.gnupg.de/pub/gcrypt/gnupg/gnupg-%{version}.tar.gz
# By mistake, gpg.1 was missing in the 1.0.1.tar.gz
#Source1:	ftp://ftp.gnupg.de/pub/gcrypt/gnupg/gpg.1.gz
Source2:	ftp://ftp.gnupg.de/pub/gcrypt/pgpgpg/pgpgpg-0.13.tar.gz
Source3:	README.SuSE
Source4:	ftp://ftp.gnupg.de/pub/gcrypt/gnupg/gnupg-%{version}.tar.gz.sig
#Patch:		gnupg.dif
Patch1:		pgpgpg.dif
#Patch2:		gnupg-%{version}.security-patch1.diff
#Patch3:		gnupg-%{version}.allow-secret-key-import.diff
#Patch4:		gpg-encrypt-to-opt.diff
#Patch5:		gnupg-1.0.6-po.diff
#Patch6:		gnupg-%{version}.maxkeysize-msg.diff
#Patch9:		gnupg-nowarndevel.diff
#Patch10:	gnupg-1.0.6.setlocale.diff
URL:		http://www.gnupg.de
Prefix:         /usr
BuildRoot:	/var/tmp/%{name}-buildroot

%description
GNU Privacy Guard is an OpenPGP (RFC2440) implementation.
It allows encryption, decryption and signatures of data
and contains strong cryptographic algorithms.
Most often used with Mail.
Not to be (re)exported from the US! Not to be used in certain
countries. Please check the laws!
As of version 1.0.3, support for RSA has been integrated into
GnuPG, as the patent encumbrance expired 2000-09-20.
If you want to read PGP2 encrypted mail, you still need to
install gpgaddon for idea support.

Authors:
--------
    Werner Koch <werner.koch@guug.de>

SuSE series: sec

%prep
#gpg --verify $RPM_SOURCE_DIR/gnupg-%{version}.tar.gz.sig
%setup -n gnupg-%{version} -b 2
#%patch
#%patch2 -p1
#%patch3 -p1
#%patch9
#%patch4
#%patch5
#%patch6 -p1
#%patch10 -p1
#chown 0.0 -R *
cd ../pgpgpg-0.13
%patch1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure  --enable-shared --with-gnu-ld --enable-static-rnd=linux \
	--prefix=/usr --mandir=%{_mandir} --infodir=%{_infodir} %{_target_cpu}-suse-linux
#CFLAGS+=--with-capabilities
make
make check
cd ../pgpgpg-0.13
CFLAGS="$RPM_OPT_FLAGS"  ./configure --prefix=/usr --with-gpg-path=/usr/bin/gpg \
	--mandir=%{_mandir} --infodir=%{_infodir} %{_target_cpu}-suse-linux
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
gzip -9f $RPM_BUILD_ROOT%{_mandir}/man1/gpg.1
#rm -f $RPM_BUILD_ROOT%{_mandir}/man1/gpg.1
#install -m 644 -o root -g root $RPM_SOURCE_DIR/gpg.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/
install -d $RPM_BUILD_ROOT%{_docdir}/gpg
for name in ABOUT-NLS AUTHORS BUGS COPYING INSTALL NEWS PROJECTS README THANKS TODO VERSION
do cp -p $name $RPM_BUILD_ROOT%{_docdir}/gpg/; done
cd doc
for name in DETAILS FAQ HACKING OpenPGP faq.html
do cp -p $name $RPM_BUILD_ROOT%{_docdir}/gpg/; done
cd ../g10
#for name in pubring.asc OPTIONS
#do cp -p $name $RPM_BUILD_ROOT%{_docdir}/gpg/; done
#cp -p $RPM_SOURCE_DIR/gnupg-%{version}.security-patch1.diff $RPM_BUILD_ROOT%{_docdir}/gpg/
cd ../../pgpgpg-0.13
make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_docdir}/gpg/pgpgpg
for name in AUTHORS COPYING ChangeLog INSTALL INSTALL.generic LICENSE NEWS OBUGS README THANKS TODO VERSION
do cp -p $name $RPM_BUILD_ROOT%{_docdir}/gpg/pgpgpg/; done
install -m 644 $RPM_SOURCE_DIR/README.SuSE $RPM_BUILD_ROOT%{_docdir}/gpg/
# !!! ru.po is too buggy !!!
#rm $RPM_BUILD_ROOT/usr/share/locale/ru/LC_MESSAGES/gnupg.mo

%files
%defattr(-,root,root)
/usr/bin/gpg
/usr/bin/gpgv
#%attr (4755,root,root) /usr/bin/gpg
#/usr/lib/gnupg
/usr/share/gnupg
%{_mandir}/man1/gpg.1.gz
%{_mandir}/man1/gpgv.1.gz
/usr/bin/pgpgpg
%doc %{_docdir}/gpg
/usr/share/locale/*/LC_MESSAGES/gnupg.mo

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/gnupg-%{version}

%changelog -n gpg
* Wed Jun 07 2006 - cs@internetx.de
- version bump to 1.4.3
* Fri Mar 24 2006 - cs@internetx.de
- version bump to 1.4.2.2
* Mon May 30 2005 - cs@internetx.de
- version bump to 1.4.1
* Mon Sep 10 2001 - garloff@suse.de
- Fixed typos in README.SuSE
- Fix message telling user about allowed keysizes for the DSA case
  (bug #9295).
* Thu May 31 2001 - draht@suse.de
- update to 1.0.6 to fix the do_get format string error
  ru locale is gone.
* Fri May 18 2001 - garloff@suse.de
- Many more problems found and (partially) corrected in the
  translations (.po files) which could lead to similar trouble.
- Disabled ru translations as they are too buggy for me to fix.
* Wed May 16 2001 - garloff@suse.de
- Fix bug in tr locale triggered by gpg -v (bugzilla #8457)
* Tue May 08 2001 - garloff@suse.de
- Put (commented out) encrypt-to option in options skeleton to
  help users finding a way to read their encrypted mail ...
* Sun Apr 29 2001 - garloff@suse.de
- Update to 1.0.5:
  * Bugfixes and translations in addition to 1.0.4h changes.
* Fri Apr 20 2001 - garloff@suse.de
- Update to gnupg-1.0.4h:
  * gpg could segfault on --check-sigs in fixup_uidnode, if
  either uid of sig are 0.
* Thu Apr 12 2001 - garloff@suse.de
- Update to 1.0.4g:
  * includes the security patches (secret key import, detached
  signature checking)
  * More bugfixes
  * time.h fixes already included
  * Warn user if signing with invalid signature (which prevents
  the attack by altering the secret key)
* Wed Feb 07 2001 - pthomas@suse.de
- If system supports LC_MESSAGES, set LC_CTYPE along with
  LC_MESSAGES. Required for correct i18n support in glibc2.2.
- Include time.h where necessary.
* Fri Dec 15 2000 - garloff@suse.de
- Include patch to require --allow-secret-key-import. Secret keys
  are no longer silently imported.
* Wed Dec 06 2000 - bk@suse.de
- add /usr/lib/gnupg and /usr/share/gnupg to %%files(obsoletes /*'s)
- doc: %%doc %%{_docdir}/gpg adds %%{_docdir}/gpg to %%files, marks
  everything below it as documentation(obsoletes other %%doc macros)
* Fri Dec 01 2000 - garloff@suse.de
- Added gnupg-1.0.4.security-patch1.diff from GnuPG site:
  When checking detached signatures, gnupg could have been make
  believe that the sig file contains the text to be checked,
  so the real text would not have been checked :-(
* Tue Oct 24 2000 - garloff@suse.de
- Put it as updates on ftp servers.
* Mon Oct 23 2000 - garloff@suse.de
- Update to GnuPG-1.0.4:
  * GnuPG <= 1.0.3 did incorrectly report messages with multiple
  signatures to be correct, even if some sigs are not.
  Fixed.
  * Rijndael support.
  * gpgv binary to just check signatures.
* Tue Sep 19 2000 - garloff@suse.de
- Update to GnuPG-1.0.3: Bugfixes:
  * --trusted-key option
  * expiration time of primary key can be changed again
  * display Revoked with --list-key (if appropriate)
  New features:
  * --merge-only, --try-all-secrets
  * Twofish and MDC support
  * faq.html
  and last but not least:
  * RSA support
* Wed Aug 09 2000 - garloff@suse.de
- Update to 1.0.2 (Finally get rid of the devel version)
- Updated README.
* Sat Jun 17 2000 - garloff@suse.de
- Added tcl & expect to neededforbuild (needed for the checks)
* Wed May 24 2000 - garloff@suse.de
- Disable DEVELOPMENT VERSION warning
* Fri May 19 2000 - garloff@suse.de
- Added BuildRoot.
* Fri May 19 2000 - garloff@suse.de
- Fixed usage of %%{_docdir}
* Fri May 19 2000 - garloff@suse.de
- Update to 1.01e-SuSE.
- Moved docs to %%{_docdir}.
* Sat Mar 04 2000 - garloff@suse.de
- Fixed typo in german translation.
- Version renamed to 1.0.1c-SuSE.
* Sun Feb 27 2000 - garloff@suse.de
- Fixed perms of README.SuSE 755->644.
* Tue Feb 22 2000 - garloff@suse.de
- Updated to 1.0.1c (test version) after a discussion with WK.
  Last workaround obsoleted by that.
* Mon Feb 21 2000 - garloff@suse.de
- Turned a fatal error (gpg: 231: read expected rec type 3, got 6)
  into a warning.
* Sat Feb 05 2000 - garloff@suse.de
- Moved manpages to /usr/share/man.
* Wed Jan 05 2000 - garloff@suse.de
- Upgrade to version 1.0.1.
* Wed Oct 13 1999 - garloff@suse.de
- Back to 1.0.0. Developers obviously don't want us to use devel
  versions.
* Wed Oct 13 1999 - garloff@suse.de
- Upgrade to 1.0.0e. Fixed typos in README.SuSE.
* Fri Sep 24 1999 - garloff@suse.de
- Fixed filelist.
* Wed Sep 22 1999 - garloff@suse.de
- Upgraded to version 1.0.0. Updated source locations.
  Added README.SuSE.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 23 1999 - garloff@suse.de
- Initial check in of gpg-0.9.10 and pgpgpg-0.13
